org.eclipse.rdf4j.query.parser.impl

## Class AbstractParserQuery.QueryInterruptIteration

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,X>
  - - org.eclipse.rdf4j.common.iteration.IterationWrapper<E,X>
    - - org.eclipse.rdf4j.common.iteration.TimeLimitIteration<BindingSet,QueryEvaluationException>
      - - org.eclipse.rdf4j.query.parser.impl.AbstractParserQuery.QueryInterruptIteration

- All Implemented Interfaces:
    AutoCloseable, CloseableIteration<BindingSet,QueryEvaluationException>, Iteration<BindingSet,QueryEvaluationException>
  Enclosing class:
    AbstractParserQuery

      protected class AbstractParserQuery.QueryInterruptIteration
      extends TimeLimitIteration<BindingSet,QueryEvaluationException>

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `wrappedIter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryInterruptIteration(Iteration<? extends BindingSet,? extends QueryEvaluationException> iter, long timeLimit)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `throwInterruptedException()` If the iteration is interrupted by its time limit, this method is called to generate and throw the appropriate exception.

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.TimeLimitIteration

      `handleClose, hasNext, next, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### QueryInterruptIteration

          public QueryInterruptIteration(Iteration<? extends BindingSet,? extends QueryEvaluationException> iter,
                                         long timeLimit)

  - ### Method Detail

    - #### throwInterruptedException

          protected void throwInterruptedException()
                                            throws QueryEvaluationException

      Description copied from class: `TimeLimitIteration`
      If the iteration is interrupted by its time limit, this method is called to generate and throw the appropriate exception.
      Specified by:
        `throwInterruptedException` in class `TimeLimitIteration<BindingSet,QueryEvaluationException>`
      Throws:
        `QueryEvaluationException`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.